package spujol.tfg.sp.api 
{
	import flash.events.EventDispatcher;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	import flash.net.FileFilter;
	import flash.net.URLRequestHeader;
	import flash.net.URLVariables;
	import flash.net.URLRequest;
	import flash.net.URLRequestMethod;
	import flash.net.URLLoader;
	import flash.net.URLLoaderDataFormat;
	import flash.net.navigateToURL;
	import flash.net.FileReference;
	import flash.utils.ByteArray;
	
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	
	public class IMGFileAPI extends EventDispatcher
	{	
		private var _urlLoader:URLLoader;
		private var _variables:URLVariables;
		private var  _data:Array;
	
		public function IMGFileAPI() 
		{
			_urlLoader = new URLLoader();
			_variables  = new URLVariables(); 
			_data = new Array();
		}
		
		/**
		* This method connects with PHP file and sends data.
		*/
		public function loadIMG(img:ByteArray){ 
			
			var url:String = "http://eimtcms.uoc.edu/~soniapf/php/saveImg.php"; 
			var urlRequest:URLRequest = new URLRequest(url);
			
			urlRequest.method = URLRequestMethod.POST;	
			urlRequest.data = img;
			
			_urlLoader.addEventListener(Event.COMPLETE,loadImgComplete);
			_urlLoader.addEventListener(IOErrorEvent.IO_ERROR,onError);
			
			_urlLoader.load(urlRequest);
		}
		
		/**
		* This method displays data returned back from PHP file with XML.
		*/
		private function loadImgComplete(ev:Event):void {
			trace (_urlLoader.data);
			var data:Object;
			data = JSON.parse(_urlLoader.data);
			
			_data[0] = data[0];
			_data[1] = data[1];
			
			dispatchDBAPIEvent(_data);
		}
		
		/**
		* This method shows an error if it happens.
		*/
		private function onError(event:IOErrorEvent):void {
			trace("Error al cargar la url");
		}
		
		
		/**
		* This method checks data.
		*/	
		private function dispatchDBAPIEvent(data:Array):void {
			var dbCompleteEvent:DBAPIEvent = new DBAPIEvent(DBAPIEvent.COMPLETE, true, false, "Request succesful", data);
			dispatchEvent(dbCompleteEvent);
		}
	}

}