package spujol.tfg.sp.instances 
{
	import flash.display.Sprite;
	import flash.text.TextField;
	
	import flash.events.Event;
	
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	 
	public class ResultBar  extends Sprite
	{
		public var resultBarBg_sp:Sprite;
		public var resultNumber_tf:TextField;
		public var result_tf:TextField;
		
		private var _text:String = "";
		
		public function ResultBar(text:String) 
		{
			_text = text;
			super();
			
			// To be sure the instance is placed in displayList
			addEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
		
		/**
		* This method initializes the object.
		*/
		private function init(ev:Event):void {
			// Remove unused eventlisteners
			removeEventListener(Event.ADDED_TO_STAGE, init);

			if (_text != null){
				if (int(_text) > 1) { 
					result_tf.text = "Resultados";
				} else if (int(_text) == 1){
					result_tf.text = "Resultado";
				}	
			}
			
			resultNumber_tf.text = _text;
		}
		

		/**
		* This method removes listeners.
		*/
		private function dispose(ev:Event):void{
			stage.removeEventListener(Event.REMOVED_FROM_STAGE,dispose);
		}
	}

}