package spujol.tfg.sp.instances 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.text.TextField;
	import spujol.tfg.sp.ui.btactive.AppLikeBt;
	import spujol.tfg.sp.ui.btactive.AppLoveBt;
	
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	
	public class ViewRecipeValoration extends Sprite
	{
		public var likeBt_sp:AppLikeBt;
		public var loveBt_sp:AppLoveBt;
		public var recipeName_tf:TextField;
		
		private var _loveStatus:Boolean;
		private var _likeStatus:Boolean;
		private var _text:String;
		private var _recipeID; int;
		private var _userID:int;
		
		public function ViewRecipeValoration(loveStatus:Boolean, likeStatus:Boolean, text:String, recipeID:int, userID:int) 
		{
			_loveStatus = loveStatus;
			_likeStatus = likeStatus;
			_text = text;
			_recipeID = recipeID;
			_userID = userID;
			
		// To be sure the instance is placed in displayList
			addEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
		
		/**
		* This method initializes the object.
		*/
		private function init(ev:Event):void {
			// Remove unused eventlisteners
			removeEventListener(Event.ADDED_TO_STAGE, init);
	
			recipeName_tf.text = _text;
			
			likeBt_sp = new AppLikeBt (_likeStatus, _recipeID, _userID);
			likeBt_sp.x = this.width/2 +30;
			likeBt_sp.y = recipeName_tf.y + recipeName_tf.height *2;
			
			loveBt_sp = new AppLoveBt (_loveStatus, _recipeID, _userID);
			loveBt_sp.x = this.width/2 - loveBt_sp.width - 30;
			loveBt_sp.y = recipeName_tf.y + recipeName_tf.height *2;
			
			addChild(likeBt_sp);
			addChild(loveBt_sp);
		}
		
		/**
		* This method removes listeners.
		*/
		private function dispose(ev:Event):void{
			stage.removeEventListener(Event.REMOVED_FROM_STAGE,dispose);
		}
	}
}