package spujol.tfg.sp.instances.ui 
{
	import flash.text.TextField;
	import flash.display.Sprite;
	import flash.events.Event;
	
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	
	public class Ingredient extends Sprite
	{
		public var ingredientName_tf:TextField;
		public var ingredientQuantity_tf:TextField;
		public var ingredientMesure_tf:TextField;
		
		private var _ing:String;
		private var _quant:String;
		private var _meas:String;
		
		public function Ingredient(ing:String, quant:String, meas:String) 
		{
			_ing = ing;
			_quant = quant;
			_meas = meas;
			
			super();
			
			// To be sure the instance is placed in displayList
			addEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
		
		private function init(ev:Event):void {
			// Remove unused eventlisteners
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			ingredientName_tf.text = _ing;
			ingredientQuantity_tf.text = _quant;
			ingredientMesure_tf.text = _meas;
		}
		
		/**
		* This method removes listeners.
		*/
		private function dispose(ev:Event):void{
			stage.removeEventListener(Event.REMOVED_FROM_STAGE,dispose);
		}
		
	}

}