package spujol.tfg.sp.ui.bt 
{
	import flash.display.Sprite;
	
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	 
	public class AppButton extends Sprite
	{
		
		public var onHover_sp:Sprite;
		public var onMode_sp: Sprite;
		
		private var _state:Boolean;
	
		public function AppButton()
		{
			// To be sure the instance is placed in displayList
			addEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
		
		private function init(ev:Event):void {
			// Remove unused eventlisteners
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			// Change cursor on hover
			this.buttonMode = true;
			// Unable click detection on internal instances
			this.mouseChildren = false;
			
			// Eventlisteners
			this.addEventListener(MouseEvent.MOUSE_DOWN,clickHandler);
			this.addEventListener(MouseEvent.MOUSE_UP,clickUpHandler); 
		}
		
		
		private function clickHandler(ev:MouseEvent):void {				
			onMode_sp.visible = false;
			onHover_sp.visible = true;
		}
		
		private function clickUpHandler(ev:MouseEvent):void {
			onMode_sp.visible = true;
			onHover_sp.visible = false;
		}
		
		
		/**
		* This method removes listeners.
		*/
		private function dispose(ev:Event):void{
			stage.removeEventListener(Event.REMOVED_FROM_STAGE,dispose);
			this.removeEventListener(MouseEvent.MOUSE_DOWN,clickHandler);
			this.removeEventListener(MouseEvent.MOUSE_UP,clickUpHandler);
		}
	}
}