package spujol.tfg.sp.api 
{
	import flash.events.Event;
	
	/**
	 * ...
	 * @author 
	 */
	public class DBAPIEvent extends Event 
	{
		public static const COMPLETE:String = 'complete';
		public static const ERROR:String = 'error';
		public var errorMsg:String;
		public var data:Array;	
		
		public function DBAPIEvent(type:String, bubbles:Boolean=false, cancelable:Boolean=false, errorMsg:String=null, data:Array=null) 
		{ 
			super(type, bubbles, cancelable);
			// We recover error message
			this.errorMsg = errorMsg;
			// We recover data
			this.data = data;
			
		} 
		
		public override function clone():Event 
		{ 
			return new DBAPIEvent(type, bubbles, cancelable);
			
		} 
		
		public override function toString():String 
		{ 
			return formatToString("ScreenEvent", "type", "bubbles", "cancelable", "eventPhase", "errorMessage", "data"); 
		}
		
	}
	
}