package spujol.tfg.sp.instances 
{
	import flash.display.Sprite;
	import flash.text.TextField;
	
	import flash.events.Event;
	import flash.events.MouseEvent;

	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	 
	public class NewRecipeIngredient extends Sprite
	{
		
		public var deleteBt_sp: Sprite;
		public var ingredient_tf:TextField;
		public var quantity_tf:TextField;
		public var measure_tf:TextField;
		
		private var _object:Object;
	
		public function NewRecipeIngredient(object:Object) 
		{
			_object = object;
			
			// To be sure the instance is placed in displayList
			addEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
		
		/**
		* This method initializes the object.
		*/
		private function init(ev:Event):void {
			// Remove unused eventlisteners
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			ingredient_tf.text = _object.ingredient;
			quantity_tf.text = _object.quantity;
			measure_tf.text = _object.measure;
			this.height = 50;
			
			deleteBt_sp.buttonMode = true;
			deleteBt_sp.mouseChildren = false;
		}
		
		/**
		* This method removes listeners.
		*/
		private function dispose(ev:Event):void{
			stage.removeEventListener(Event.REMOVED_FROM_STAGE,dispose);
		}
	}
}