package spujol.tfg.sp.instances 
{
	import flash.display.Sprite;
	import flash.text.TextField;
	
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	import spujol.tfg.sp.screens.app.ScreenNewRecipe_I;
	
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	 
	public class NewRecipePreparation extends Sprite
	{
		public var deleteBt_sp: Sprite;
		public var edit_sp: Sprite;
		public var pointNumber_tf:TextField;
		public var textPoint_tf:TextField;
		
		private var _object:Object;
	
		public function NewRecipePreparation(object:Object) 
		{
			_object = object;
			
			
			// To be sure the instance is placed in displayList
			addEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
		
		
		/**
		* This method initializes the object.
		*/
		private function init(ev:Event):void {
			// Remove unused eventlisteners
			removeEventListener(Event.ADDED_TO_STAGE, init);	
			
			
			pointNumber_tf.text = _object.number;
			textPoint_tf.text = _object.text;
			
			textPoint_tf.height = textPoint_tf.textHeight + 15;
			this.height = textPoint_tf.height + deleteBt_sp.height;

			deleteBt_sp.buttonMode = true;
			edit_sp.buttonMode = true;
			deleteBt_sp.mouseChildren = false;
			edit_sp.mouseChildren = false;
			
		}
		
		/**
		* This method removes listeners.
		*/
		private function dispose(ev:Event):void{
			stage.removeEventListener(Event.REMOVED_FROM_STAGE,dispose);
		}
	}
}
