package spujol.tfg.sp.instances 
{
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.events.Event;
	
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	
	public class ViewRecipeBar extends Sprite
	{
		public var ingORprep_tf:TextField;
		public var paxNumber_tf:TextField;
		public var pax_tf:TextField;
		
		private var _type:String;
		private var _num:String  = null;
		
		
		public function ViewRecipeBar(type:String, num:String) 
		{
			_type = type;
			_num = num;
			
			super();
			
			// To be sure the instance is placed in displayList
			addEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
		
			
		/**
		* This method initializes the object.
		*/
		private function init(ev:Event):void {
			// Remove unused eventlisteners
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			ingORprep_tf.text = _type;
		
			if (_type == "Ingredientes"){
				paxNumber_tf.text = _num;
				pax_tf.text = "raciones";			
			} else {
				paxNumber_tf.text = "";
				pax_tf.text = "";	
			}			
		}
		
		
		/**
		* This method removes listeners.
		*/
		private function dispose(ev:Event):void{
			removeEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
	}

}