package spujol.tfg.sp.instances.ui 
{
	import flash.display.Sprite;
	import flash.events.Event;
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	
	public class ColorTag extends Sprite
	{
		public var redTag_sp:Sprite;
		public var yellowTag_sp:Sprite;
		public var greenTag_sp:Sprite;
		
		private var _state:String;
		
		
		public function ColorTag(state:String = null) 
		{
			_state = state;
			
			
			// To be sure the instance is placed in displayList
			addEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
		
		private function init(ev:Event):void {
			// Remove unused eventlisteners
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			if (_state == "BAJO"){
				greenTag_sp.visible = true;
				yellowTag_sp.visible = false;
				redTag_sp.visible = false;
			}
			else if (_state == "MEDIO"){
				yellowTag_sp.visible = true;
				greenTag_sp.visible = false;
				redTag_sp.visible = false;
			}
			else if (_state == "ALTO"){
				redTag_sp.visible = true;
				yellowTag_sp.visible = false;
				greenTag_sp.visible = false;
			}
		}
		
		/**
		* This method removes listeners.
		*/
		private function dispose(ev:Event):void{
			stage.removeEventListener(Event.REMOVED_FROM_STAGE,dispose);
		}
		
	}

}