package spujol.tfg.sp.instances.ui 
{
	import flash.text.TextField;
	import flash.display.Sprite;
	
	import flash.events.Event;
	
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	
	public class ProcessPoint extends Sprite
	{
		public var point_tf:TextField;
		public var pointText_tf:TextField;
		
		private var _num:String;
		private var _proc:String;
		
		public function ProcessPoint(num:String, proc:String) 
		{	
			_num = num;
			_proc = proc;
			
			super();
			
			// To be sure the instance is placed in displayList
			addEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, dispose);
		}
		
		
		private function init(ev:Event):void {
			// Remove unused eventlisteners
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			point_tf.text = _num;
			pointText_tf.text = _proc;
			
			pointText_tf.height = pointText_tf.textHeight + 15;
		}
		
		
		/**
		* This method removes listeners.
		*/
		private function dispose(ev:Event):void{
			stage.removeEventListener(Event.REMOVED_FROM_STAGE,dispose);
		}
		
	}

}