package spujol.tfg.sp.screens.gear 
{
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	import spujol.tfg.sp.ui.bt.AppShortBt;
		
		
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	 
	public class ScreenPopUpTwo extends ScreenPopUp
	{
		public var accept_sp:AppShortBt;
		public var refuse_sp:AppShortBt;
		
		public function ScreenPopUpTwo(from:String, popUp:Object) 
		{
			super(from, popUp);
		}
		
		protected override function init(ev:Event):void {			
			
			accept_sp = new AppShortBt("Si");
			refuse_sp = new AppShortBt("No");

			// add to displaylist
			addChild(accept_sp);
			addChild(refuse_sp);
				
			//Listeners
			accept_sp.addEventListener(MouseEvent.CLICK, goTo);
			refuse_sp.addEventListener(MouseEvent.CLICK, stayIn);
			
			//Execute init from superclass
			super.init(ev);
		}

		
		/**
		* This method removes listeners.
		*/
		protected override function dispose(ev:Event):void{
			stage.removeEventListener(Event.REMOVED_FROM_STAGE,dispose);
			accept_sp.removeEventListener(MouseEvent.CLICK, goTo);
			refuse_sp.removeEventListener(MouseEvent.CLICK, stayIn);

		}
		
		
		/**
		* This override method adapts the elements in the screen.
		*/
		protected override function resizeHandler(ev:Event = null):void {
			super.resizeHandler();
		
			accept_sp.x =  (stageW/2) - (accept_sp.width + 25);
			accept_sp.y = (stageH/8)*5 - (accept_sp.height*2);
			
			refuse_sp.x =  (stageW/2) + 25;
			refuse_sp.y = (stageH/8)*5 - (refuse_sp.height*2);
		}
	}
}