package spujol.tfg.sp.ui.btactive 
{
	import flash.events.MouseEvent;
	import spujol.tfg.sp.api.DBsetAPI;
	import spujol.tfg.sp.api.DBAPIEvent;
	
	/**
	 * ...
	 * @author sònia pujol
	 * @version 1.0
	 */
	 
	public class AppLikeBt extends AppHelpBt
	{
		private var _recipeID:int;
		private var _userID: int;
		private var _dbAPI:DBsetAPI;
		
		public function AppLikeBt(state:Boolean, recipeID:int, userID:int) 
		{
			_recipeID = recipeID;
			_userID = userID;
			super(state);
		}
		
		
		/*
		* This method changes state value and updates view on mouse click
		*/
		protected override function clickHandler(ev:MouseEvent):void {
			
			_dbAPI = new DBsetAPI();
			_dbAPI.addEventListener(DBAPIEvent.COMPLETE, printReturn);
			_dbAPI.loadLikeChangeData("valorationLike", _state , _recipeID, _userID);	
			super.clickHandler(ev);
		}
		
		private function printReturn(ev:DBAPIEvent):void{
			trace ("Like Changed");
		}
	}

}