-- phpMyAdmin SQL Dump
-- version 4.8.1
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost
-- Temps de generació: 07-06-2018 a les 22:20:05
-- Versió del servidor: 5.7.22-0ubuntu0.16.04.1
-- Versió de PHP: 7.2.5-1+ubuntu16.04.1+deb.sury.org+1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de dades: `soniapf`
--

-- --------------------------------------------------------

--
-- Estructura de la taula `collection`
--

CREATE TABLE `collection` (
  `id` int(11) NOT NULL,
  `name` varchar(20) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `collection`
--

INSERT INTO `collection` (`id`, `name`) VALUES
(1, 'ENTRANTES'),
(2, 'PRIMEROS'),
(3, 'SEGUNDOS'),
(4, 'POSTRES'),
(5, 'SALSAS'),
(6, 'MASAS DULCES'),
(7, 'MASAS SALADAS');

-- --------------------------------------------------------

--
-- Estructura de la taula `day`
--

CREATE TABLE `day` (
  `id` int(11) NOT NULL,
  `name` varchar(10) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `day`
--

INSERT INTO `day` (`id`, `name`) VALUES
(1, 'lunes'),
(2, 'martes'),
(3, 'miércoles'),
(4, 'jueves'),
(5, 'viernes'),
(6, 'sábado'),
(7, 'domingo');

-- --------------------------------------------------------

--
-- Estructura de la taula `images`
--

CREATE TABLE `images` (
  `recipe` int(11) NOT NULL,
  `img` varchar(30) COLLATE utf8_bin NOT NULL,
  `thumbnail` varchar(30) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `images`
--

INSERT INTO `images` (`recipe`, `img`, `thumbnail`) VALUES
(1, 'img/img.png', 'img/thumb.png');

-- --------------------------------------------------------

--
-- Estructura de la taula `include`
--

CREATE TABLE `include` (
  `menu` int(11) NOT NULL,
  `day` int(11) NOT NULL,
  `meal` int(11) NOT NULL,
  `recipe` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

--
-- Estructura de la taula `ingredient`
--

CREATE TABLE `ingredient` (
  `id` int(20) NOT NULL,
  `name` varchar(50) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `ingredient`
--

INSERT INTO `ingredient` (`id`, `name`) VALUES
(1, 'CALABACIN'),
(2, 'CEBOLLA'),
(3, 'PUERRO'),
(4, 'PATATA'),
(5, 'APIO'),
(6, 'AJO (DIENTE)'),
(7, 'ZANAHORIA'),
(8, 'JAMON SERRANO'),
(9, 'JAMON DULCE'),
(10, 'ACEITE DE OLIVA'),
(11, 'VINAGRE BLANCO'),
(12, 'SAL'),
(13, 'AGUA'),
(14, 'CALDO DE POLLO'),
(15, 'CALDO DE PESCADO'),
(16, 'PIMIENTO VERDE'),
(17, 'PIMIENTO ROJO'),
(18, 'NATA LIQUIDA'),
(19, 'PIMIENTA NEGRA'),
(20, 'LECHE'),
(21, 'CONEJO'),
(22, 'POLLO'),
(44, 'GARBANZOS'),
(45, 'AJO (CABEZA)'),
(46, 'CALABAZA'),
(47, 'BROCOLI'),
(49, 'TOMATE (MADURO)'),
(50, 'PEPINO'),
(51, 'PAN RALLADO'),
(52, 'ACEITE GIRASOL'),
(53, 'COMINO'),
(54, 'SALMON'),
(55, 'LIMON'),
(56, 'AGUACATE'),
(57, 'SOJA'),
(58, 'WASABI'),
(59, 'HUEVO'),
(60, 'AZUCAR GLAS'),
(61, 'MANTEQUILLA'),
(62, 'HARINA'),
(63, 'CHOCOLATE NEGRO'),
(64, 'CACAO EN POLVO'),
(65, 'CANELA'),
(66, 'AZUCAR'),
(67, 'MAIZENA'),
(68, 'LECHUGA'),
(69, 'BACALAO DESALADO'),
(70, 'PIMIENTO DEL PIQUILLO'),
(71, 'LAUREL'),
(72, 'TOMATE'),
(73, 'AVELLANA TOSTADA'),
(74, 'ALMENDRA TOSTADA'),
(75, 'PAN '),
(76, 'CARNE DE PIMIENTO CHORICERO'),
(77, 'CARNE DE Ã‘ORA'),
(78, 'TOMATE TRITURADO'),
(79, 'ATUN LATA');

-- --------------------------------------------------------

--
-- Estructura de la taula `likemenu`
--

CREATE TABLE `likemenu` (
  `user` int(11) NOT NULL,
  `menu` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

--
-- Estructura de la taula `likerecipe`
--

CREATE TABLE `likerecipe` (
  `user` int(11) NOT NULL,
  `recipe` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `likerecipe`
--

INSERT INTO `likerecipe` (`user`, `recipe`) VALUES
(3, 22),
(5, 23);

-- --------------------------------------------------------

--
-- Estructura de la taula `meal`
--

CREATE TABLE `meal` (
  `id` int(11) NOT NULL,
  `type` varchar(10) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `meal`
--

INSERT INTO `meal` (`id`, `type`) VALUES
(1, 'comida'),
(2, 'cena');

-- --------------------------------------------------------

--
-- Estructura de la taula `measure`
--

CREATE TABLE `measure` (
  `id` int(11) NOT NULL,
  `name` varchar(20) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `measure`
--

INSERT INTO `measure` (`id`, `name`) VALUES
(1, 'KILOGRAMO/S'),
(2, 'GRAMOS'),
(3, 'LITRO/S'),
(4, 'MILILITROS'),
(5, 'UNIDAD/ES'),
(6, 'CUCHARADA/S'),
(7, 'CUCHARILLA/S'),
(8, 'VASO/S'),
(9, 'PIZCA'),
(12, 'CHORRITO'),
(13, 'LATA/S'),
(14, 'HOJA/S'),
(15, 'REBANADA/S');

-- --------------------------------------------------------

--
-- Estructura de la taula `menu`
--

CREATE TABLE `menu` (
  `id` int(20) NOT NULL,
  `week` int(2) NOT NULL,
  `author` int(11) NOT NULL,
  `likes` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

--
-- Estructura de la taula `prefer`
--

CREATE TABLE `prefer` (
  `user` int(11) NOT NULL,
  `recipe` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `prefer`
--

INSERT INTO `prefer` (`user`, `recipe`) VALUES
(3, 22),
(5, 23);

-- --------------------------------------------------------

--
-- Estructura de la taula `privacity`
--

CREATE TABLE `privacity` (
  `type` varchar(10) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `privacity`
--

INSERT INTO `privacity` (`type`) VALUES
('PRIVADA'),
('PUBLICA');

-- --------------------------------------------------------

--
-- Estructura de la taula `recipe`
--

CREATE TABLE `recipe` (
  `id` int(11) NOT NULL,
  `name` varchar(100) COLLATE utf8_bin NOT NULL,
  `portions` int(2) NOT NULL,
  `author` int(11) NOT NULL,
  `collection` int(11) NOT NULL,
  `privacity` varchar(10) COLLATE utf8_bin NOT NULL,
  `value` varchar(10) COLLATE utf8_bin NOT NULL,
  `original` int(11) DEFAULT NULL,
  `likes` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `recipe`
--

INSERT INTO `recipe` (`id`, `name`, `portions`, `author`, `collection`, `privacity`, `value`, `original`, `likes`) VALUES
(1, 'GAZPACHO', 4, 1, 1, 'PUBLICA', 'BAJO', NULL, 5),
(2, 'TARTAR DE SALMON', 2, 1, 1, 'PUBLICA', 'BAJO', NULL, 2),
(3, '\"ALL I OLI\" DE LECHE', 2, 1, 5, 'PUBLICA', 'MEDIO', NULL, 0),
(4, 'COULANT DE CHOCOLATE', 8, 1, 4, 'PUBLICA', 'ALTO', NULL, 0),
(5, 'CREMA PASTELERA', 6, 1, 4, 'PUBLICA', 'ALTO', NULL, 0),
(6, 'BRAZO DE GITANO', 6, 1, 4, 'PUBLICA', 'ALTO', NULL, 0),
(7, 'MILHOJAS DE BACALAO Y PATATAS', 2, 2, 1, 'PUBLICA', 'BAJO', NULL, 0),
(21, 'ROMESCO', 6, 1, 5, 'PUBLICA', 'ALTO', NULL, 0),
(22, 'CREMA DE VERDURAS', 4, 1, 2, 'PUBLICA', 'MEDIO', NULL, 1),
(23, 'MASA DE EMPANADA', 4, 1, 7, 'PUBLICA', 'MEDIO', NULL, 1),
(24, 'EMPANADA DE ATUN', 4, 1, 2, 'PUBLICA', 'MEDIO', NULL, 0);

-- --------------------------------------------------------

--
-- Estructura de la taula `recipeprocedure`
--

CREATE TABLE `recipeprocedure` (
  `recipe` int(11) NOT NULL,
  `point` int(2) NOT NULL,
  `textPoint` text CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `recipeprocedure`
--

INSERT INTO `recipeprocedure` (`recipe`, `point`, `textPoint`) VALUES
(1, 1, 'TRITURAR TODOS LOS INGREDIENTES AL MISMO TIEMPO.'),
(1, 2, 'AGREGAR AGUA HASTA CONSEGUIR LA CONSISTENCIA DESEADA.'),
(1, 3, 'PARA UNA MEJOR TEXTURA, PASAR EL RESULTADO POR EL CHINO.'),
(1, 4, 'CORREGIR DE SAL I VINAGRE.'),
(1, 5, 'SERVIR MUY FRIO.'),
(2, 1, 'PONER EN UN RECIPIENTE EL SALMON CORTADO EN DADOS JUNTO CON: EL ACEITE, EL COMINO, LA PIMIENTA, LA SOJA, EL WASABI Y EL ZUMO DEL LIMON.'),
(2, 2, 'DEJAR MACERAR TODO, AL MENOS, DURANTE 30 MIN.'),
(2, 3, 'JUSTO ANTES DE SERVIR, PICAR Y MEZCLAR EL AGUACATE Y LA CEBOLLA.'),
(2, 4, 'PONER ESTA MEZCLA COMO BASE, Y ENCIMA DE ELLA EL MACERADO PRINCIPAL.'),
(2, 5, 'PUEDES UTILIZAR ATUN EN VEZ DEL SALMON, O MITAD DE CADA.'),
(3, 1, 'PROCURAR QUE LOS INGREDIENTES ESTEN TODOS A UNA MISMA TEMPERATURA.'),
(3, 2, 'BATIR TODOS LOS INGREDIENTES A LA VEZ.'),
(3, 3, 'SIEMPRE SE PUEDEN AGREGAR MAS O MENOS CANTIDAD DE AJOS, A GUSTO DE CADA UNO.'),
(4, 1, 'EN LA AMASADORA, MEZCLAR LA MANTEQUILLA (BLANDA) CON EL AZUCAR HASTA QUE BLANQUEE .'),
(4, 2, 'AGREGAR LOS HUEVOS Y SEGUIR BATIENDO.'),
(4, 3, 'AGREGAR LA HARINA Y LA CANELA A LA MASA HASTA QUE QUEDE TODO BIEN LIGADO.'),
(4, 4, 'INCORPORAR EL CHOCOLATE (FUNDIDO PREVIAMENTE), EL CACAO Y LA SAL.'),
(4, 5, 'MEZCLAR BIEN TODO, Y DISPONER LA MASA EN MOLDES.'),
(4, 6, 'INTRODUCIR LOS MOLDES EN EL HORNO (YA PRECALENTADO) UNOS 16 MINUTOS A 180 GRADOS.  '),
(4, 7, 'SE PUEDE CONGELAR LA MASA, Y EN EL MOMENTO DE NECESITARLA, METERLA DIRECTAMENTE EN EL HORNO (SIN PREVIA DESCONGELACION).'),
(5, 1, 'PONER EN UN CAZO AL FUEGO: 1/4 DE LITRO DE LECHE, LA CANELA Y LA CORTEZA DEL LIMON.\rA FUEGO MUY LENTO UNOS 10 MINUTOS SIN QUE LLEGUE A HERVIR.'),
(5, 2, 'EN UN BOL, BATIR LAS YEMAS DE LOS HUEVOS, LA MAIZENA EL AZUCAR Y EL 1/4 DE LECHE RESTANTE.'),
(5, 3, 'DEJAR REPOSAR LA LECHE DEL CAZO HASTA QUE TEMPLE, Y RETIRAR EL LIMON Y LA CANELA.'),
(5, 4, 'AÃ‘ADIR LA MEZCLA DEL BOL CON LA DEL CAZO JUNTO CON LA MANTEQUILLA Y PONER NUEVAMENTE AL FUEGO SIN DEJAR DE REMOVER DURANTE UNOS MINUTOS.'),
(5, 5, 'DEJAR ENFRIAR.'),
(6, 1, 'BATIR 3 CLARAS DE HUEVO JUNTO CON 25 GRAMOS DE AZUCAR HASTA PUNTO DE NIEVE'),
(6, 2, 'POR OTRO LADO, BATIR (SIN LLEGAR A PUNTO DE NIEVE) 3 HUEVOS Y 75 GRAMOS DE AZUCAR.'),
(6, 3, 'A ESTA SEGUNDA MEZCLA, AÃ‘ADIRLE LA HARINA TAMIZADA EN 3 O 4 VECES REMOVIENDO CON MOVIMIENTOS ENVOLVENTES.'),
(6, 4, 'AÃ‘ADIR LA PRIMERA MEZCLA A LA SEGUNDA CON MUCHO CUIDADO PARA QUE NO BAJE EL PUNTO DE NIEVE.'),
(6, 5, 'REPARTIR UNIFORMEMENTE SOBRE LA PLANCHA DEL HORNO (ENTRE 1-2 CM DE GROSOR) Y HORNEAR DURANTE 15 MINUTOS.'),
(6, 6, 'RETIRAR EL BIZCOCHO DEL HORNO, CORTAR LOS BORDES Y DEJAR ENFRIAR.'),
(6, 7, 'FUNDIR LOS 100 GRAMOS DE CHOCOLATE JUNTO CON LOS 40 GRAMOS DE MANTEQUILLA PARA LA COBERTURA.'),
(6, 8, 'CUBRIR EL BIZCOCHO FRIO CON LA CREMA PASTELERA Y ENRROLLARLO'),
(6, 9, 'CUBRIR EL BRAZO DE GITANO CON LA COBERTURA DE CHOCOLATE Y MANTEQUILLA Y DEJAR ENFRIAR.'),
(7, 1, 'LAVAR, ESCURRIR, RETIRAR LAS SIMIENTES DE LOS PIMIENTOS Y TROCEARLOS.'),
(7, 2, 'PELAR LAS PATATAS Y CORTARLAS EN RODAJAS DE 1 CM DE GROSOR.'),
(7, 3, 'EN UN CAZO PONER EL ACEITE, LOS AJOS Y EL LAUREL Y CALENTAR SIN LLEGAR A HERVIR.'),
(7, 4, 'CONFITAR LAS PATATAS A FUEGO LENTO (SI LLEGA A EBULLICION, RETIRAR DEL FUEGO HASTA QUE ENFRIE UN POCO). HAY QUE TENER CUIDADO DE QUE NO SE ROMPAN.'),
(7, 5, 'CUANDO LA PATATA ESTE BLANDA, LA RETIRAMOS Y LA ESCURRIMOS.'),
(7, 6, 'MONTAMOS EL PLATO: RODAJA DE PATATA EN LA BASE, CUBRIMOS CON EL BACALAO Y PONEMOS EL PIMIENTO ENCIMA. REPETIMOS LA OPERACION 3 VECES.'),
(7, 7, 'CORTAMOS LA LECHUGA EN JULIANA Y LA COLOCAMOS ALREDEDOR DEL MILHOJAS.'),
(21, 1, 'ASAR LOS TOMATES Y LOS AJOS EN EL HORNO A 180 GRADOS DURANTE UNOS 15-20 MINUTOS. LOS AJOS TARDAN MAS.'),
(21, 2, 'PELAR LOS TOMATES Y LOS AJOS.'),
(21, 3, 'EN UN BOL, AÃ‘ADIR TODOS LOS INGREDIENTES MENOS EL ACEITE Y BATIR.'),
(21, 4, 'AÃ‘ADIR EL ACEITE HASTA LA TEXTURA DESEADA REMOVIENDO CON UNA CUCHARA.'),
(21, 5, 'CORREGIR DE SAL Y VINAGRE.'),
(22, 1, 'PELAR Y CORTAR LAS VERDURAS EN TROZOS PEQUEÃ‘OS.'),
(22, 2, 'POCHARLAS A FUEGO LENTO CON ACEITE Y SAL.'),
(22, 3, 'AÃ‘ADIR EL CALDO (MEJOR EN CALIENTE).'),
(22, 4, 'DEJAR UNOS 30-40 MINUTOS.'),
(22, 5, 'BATIR TODO Y CORREGIR DE SAL Y PIMIENTA.'),
(22, 6, '*SE PUEDE ACOMPAÃ‘AR DE JAMON O BACON FRITO.'),
(22, 7, '*SE LE PUEDE AÃ‘ADIR CUALQUIER VERDURA (CALABAZA, GUISANTES... )'),
(23, 1, 'TAMIZAR LA HARINA Y TENER LA MANTEQUILLA A TEMPERATURA AMBIENTE.'),
(23, 2, 'MEZCLAR  BIEN TODOS LOS INGREDIENTES Y AMASAR A MANO.'),
(23, 3, 'SI LA MEZCLA ESTA MUY ESPESA, AÃ‘ADIRLE AGUA (MUY POCO A POCO).'),
(23, 4, 'DEJAR REPOSAR 1 HORA.'),
(23, 5, 'DIVIDIR LA MASA EN 2 (40% PARTE SUPERIOR, Y 60% PARTE INFERIOR) Y APLANARLAS CON UN RODILLO.'),
(23, 6, 'ENGRASAR Y ENHARINAR LA BANDEJA DEL HORNO Y EXTENDER LA PARTE INFERIOR.'),
(23, 7, 'AÃ‘ADIR EL RELLENO DEJANDO MARGENES Y TAPAR CON LA PARTE SUPERIOR.'),
(23, 8, 'CERRAR LA EMPANADA Y AGUJEREAR LA TAPA CON UN TENEDOR.'),
(23, 9, 'PINTAR CON UN HUEVO BATIDO.'),
(23, 10, 'DEJAR UNOS 30 MINUTOS EN EL HORNO (YA PRECALENTADO) A 180 GRADOS. SOLO CON CALOR INFERIOR.'),
(24, 1, 'PELAR Y CORTAR LA CEBOLLA EN JULIANA.'),
(24, 2, 'PONERLA EN UNA SARTEN CON ACEITE Y SAL A FUEGO MUY LENTO.'),
(24, 3, 'CUANDO ESTE HECHA, AÃ‘ADIRLE EL TOMATE Y DEJAR TODO 15 MINUTOS MAS.'),
(24, 4, 'AÃ‘ADIR EL RESTO DE INGREDIENTES CORTADOS EN TROZOS MUY PEQUEÃ‘OS, Y MEZCLAR. ');

-- --------------------------------------------------------

--
-- Estructura de la taula `reuse`
--

CREATE TABLE `reuse` (
  `recipe` int(11) NOT NULL,
  `reused` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `reuse`
--

INSERT INTO `reuse` (`recipe`, `reused`) VALUES
(6, 5),
(24, 23);

-- --------------------------------------------------------

--
-- Estructura de la taula `user`
--

CREATE TABLE `user` (
  `id` int(11) NOT NULL,
  `email` varchar(100) COLLATE utf8_bin NOT NULL,
  `name` varchar(20) COLLATE utf8_bin NOT NULL,
  `pass` varchar(32) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `user`
--

INSERT INTO `user` (`id`, `email`, `name`, `pass`) VALUES
(1, 'soniapujol@hotmail.es', 'Sonson', '8d6f7ab3c2bdc7118a4cf213d80c0d7f'),
(2, 'dolores.fajardo78@gmail.com', 'IaiaDolors', '6e53948cb3073870684253f5e0e8b047'),
(3, 'kokodril666@gmail.com', 'kokodril', 'b3b6bb4ed2a95eebce3756f548cc1aa0'),
(4, 'soniapf@uoc.edu', 'soniapf', 'f5d336da0cd034a40109f47bb642dca4'),
(5, 'kcapseta@uoc.edu', 'kcapseta', 'dde5e10f87cdf10db2f3a88d56354c93');

-- --------------------------------------------------------

--
-- Estructura de la taula `uses`
--

CREATE TABLE `uses` (
  `recipe` int(11) NOT NULL,
  `ingredient` int(11) NOT NULL,
  `measure` int(11) DEFAULT NULL,
  `quantity` float DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Bolcament de dades per a la taula `uses`
--

INSERT INTO `uses` (`recipe`, `ingredient`, `measure`, `quantity`) VALUES
(1, 6, 5, 1),
(1, 11, 12, 1),
(1, 12, 9, 1),
(1, 13, 8, 1),
(1, 16, 5, 1),
(1, 49, 5, 4),
(1, 50, 5, 1),
(1, 51, 6, 3),
(1, 52, 4, 100),
(1, 53, 9, 1),
(2, 2, 5, 0.5),
(2, 10, 12, 1),
(2, 19, 9, 1),
(2, 53, 9, 1),
(2, 54, 2, 300),
(2, 55, 5, 1),
(2, 56, 5, 1),
(2, 57, 12, 1),
(2, 58, 9, 1),
(3, 6, 5, 5),
(3, 12, 9, 1),
(3, 20, 4, 100),
(3, 52, 4, 300),
(4, 12, 9, 1),
(4, 59, 5, 6),
(4, 60, 2, 150),
(4, 61, 2, 200),
(4, 62, 2, 110),
(4, 63, 2, 220),
(4, 64, 2, 5),
(4, 65, 9, 1),
(5, 20, 3, 0.5),
(5, 55, 5, 1),
(5, 59, 5, 3),
(5, 61, 2, 70),
(5, 65, 5, 1),
(5, 66, 2, 100),
(5, 67, 2, 60),
(6, 59, 5, 6),
(6, 61, 2, 40),
(6, 62, 2, 100),
(6, 63, 2, 100),
(6, 66, 2, 100),
(7, 4, 2, 500),
(7, 45, 5, 0.5),
(7, 52, 4, 250),
(7, 68, 5, 1),
(7, 69, 2, 500),
(7, 70, 13, 1),
(7, 71, 14, 1),
(21, 10, 12, 1),
(21, 11, 12, 1),
(21, 12, 9, 1),
(21, 45, 5, 1.5),
(21, 72, 5, 3),
(21, 73, 2, 100),
(21, 74, 2, 100),
(21, 75, 15, 1),
(21, 77, 7, 1),
(22, 2, 5, 3),
(22, 3, 5, 3),
(22, 4, 5, 2),
(22, 7, 5, 3),
(22, 10, 12, 1),
(22, 12, 9, 1),
(22, 14, 3, 0.5),
(22, 19, 9, 1),
(23, 12, 9, 1),
(23, 59, 5, 3),
(23, 61, 2, 100),
(23, 62, 2, 300),
(24, 2, 5, 1),
(24, 10, 12, 1),
(24, 12, 9, 1),
(24, 19, 9, 1),
(24, 59, 5, 4),
(24, 70, 5, 7),
(24, 78, 1, 0.5),
(24, 79, 2, 150);

-- --------------------------------------------------------

--
-- Estructura de la taula `utilize`
--

CREATE TABLE `utilize` (
  `user` int(11) NOT NULL,
  `menu` int(11) NOT NULL,
  `week` int(2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Índexs per a les taules bolcades
--

--
-- Índexs per a la taula `collection`
--
ALTER TABLE `collection`
  ADD PRIMARY KEY (`id`);

--
-- Índexs per a la taula `day`
--
ALTER TABLE `day`
  ADD PRIMARY KEY (`id`);

--
-- Índexs per a la taula `images`
--
ALTER TABLE `images`
  ADD PRIMARY KEY (`recipe`);

--
-- Índexs per a la taula `include`
--
ALTER TABLE `include`
  ADD PRIMARY KEY (`menu`,`day`,`meal`),
  ADD KEY `day` (`day`),
  ADD KEY `meal` (`meal`),
  ADD KEY `recipe` (`recipe`);

--
-- Índexs per a la taula `ingredient`
--
ALTER TABLE `ingredient`
  ADD PRIMARY KEY (`id`);

--
-- Índexs per a la taula `likemenu`
--
ALTER TABLE `likemenu`
  ADD PRIMARY KEY (`user`,`menu`),
  ADD KEY `menu` (`menu`);

--
-- Índexs per a la taula `likerecipe`
--
ALTER TABLE `likerecipe`
  ADD PRIMARY KEY (`user`,`recipe`),
  ADD KEY `recipe` (`recipe`);

--
-- Índexs per a la taula `meal`
--
ALTER TABLE `meal`
  ADD PRIMARY KEY (`id`);

--
-- Índexs per a la taula `measure`
--
ALTER TABLE `measure`
  ADD PRIMARY KEY (`id`);

--
-- Índexs per a la taula `menu`
--
ALTER TABLE `menu`
  ADD PRIMARY KEY (`id`),
  ADD KEY `author` (`author`);

--
-- Índexs per a la taula `prefer`
--
ALTER TABLE `prefer`
  ADD PRIMARY KEY (`user`,`recipe`),
  ADD KEY `recipe` (`recipe`);

--
-- Índexs per a la taula `privacity`
--
ALTER TABLE `privacity`
  ADD PRIMARY KEY (`type`);

--
-- Índexs per a la taula `recipe`
--
ALTER TABLE `recipe`
  ADD PRIMARY KEY (`id`),
  ADD KEY `author` (`author`),
  ADD KEY `collection` (`collection`),
  ADD KEY `privacity` (`privacity`);

--
-- Índexs per a la taula `recipeprocedure`
--
ALTER TABLE `recipeprocedure`
  ADD PRIMARY KEY (`recipe`,`point`);

--
-- Índexs per a la taula `reuse`
--
ALTER TABLE `reuse`
  ADD PRIMARY KEY (`recipe`,`reused`),
  ADD KEY `reused` (`reused`);

--
-- Índexs per a la taula `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`);

--
-- Índexs per a la taula `uses`
--
ALTER TABLE `uses`
  ADD PRIMARY KEY (`recipe`,`ingredient`),
  ADD KEY `ingredient` (`ingredient`),
  ADD KEY `measure` (`measure`);

--
-- Índexs per a la taula `utilize`
--
ALTER TABLE `utilize`
  ADD PRIMARY KEY (`user`,`menu`,`week`),
  ADD KEY `menu` (`menu`);

--
-- AUTO_INCREMENT per les taules bolcades
--

--
-- AUTO_INCREMENT per la taula `collection`
--
ALTER TABLE `collection`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT per la taula `day`
--
ALTER TABLE `day`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT per la taula `ingredient`
--
ALTER TABLE `ingredient`
  MODIFY `id` int(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=80;

--
-- AUTO_INCREMENT per la taula `meal`
--
ALTER TABLE `meal`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT per la taula `measure`
--
ALTER TABLE `measure`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT per la taula `menu`
--
ALTER TABLE `menu`
  MODIFY `id` int(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT per la taula `recipe`
--
ALTER TABLE `recipe`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=27;

--
-- AUTO_INCREMENT per la taula `user`
--
ALTER TABLE `user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- Restriccions per a les taules bolcades
--

--
-- Restriccions per a la taula `images`
--
ALTER TABLE `images`
  ADD CONSTRAINT `images_ibfk_1` FOREIGN KEY (`recipe`) REFERENCES `recipe` (`id`);

--
-- Restriccions per a la taula `include`
--
ALTER TABLE `include`
  ADD CONSTRAINT `include_ibfk_1` FOREIGN KEY (`menu`) REFERENCES `menu` (`id`),
  ADD CONSTRAINT `include_ibfk_2` FOREIGN KEY (`day`) REFERENCES `day` (`id`),
  ADD CONSTRAINT `include_ibfk_3` FOREIGN KEY (`meal`) REFERENCES `meal` (`id`),
  ADD CONSTRAINT `include_ibfk_4` FOREIGN KEY (`recipe`) REFERENCES `recipe` (`id`);

--
-- Restriccions per a la taula `likemenu`
--
ALTER TABLE `likemenu`
  ADD CONSTRAINT `likemenu_ibfk_1` FOREIGN KEY (`user`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `likemenu_ibfk_2` FOREIGN KEY (`menu`) REFERENCES `menu` (`id`);

--
-- Restriccions per a la taula `likerecipe`
--
ALTER TABLE `likerecipe`
  ADD CONSTRAINT `likerecipe_ibfk_1` FOREIGN KEY (`user`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `likerecipe_ibfk_2` FOREIGN KEY (`recipe`) REFERENCES `recipe` (`id`);

--
-- Restriccions per a la taula `menu`
--
ALTER TABLE `menu`
  ADD CONSTRAINT `menu_ibfk_1` FOREIGN KEY (`author`) REFERENCES `user` (`id`);

--
-- Restriccions per a la taula `prefer`
--
ALTER TABLE `prefer`
  ADD CONSTRAINT `prefer_ibfk_1` FOREIGN KEY (`user`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `prefer_ibfk_2` FOREIGN KEY (`recipe`) REFERENCES `recipe` (`id`);

--
-- Restriccions per a la taula `recipe`
--
ALTER TABLE `recipe`
  ADD CONSTRAINT `recipe_ibfk_1` FOREIGN KEY (`author`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `recipe_ibfk_2` FOREIGN KEY (`collection`) REFERENCES `collection` (`id`),
  ADD CONSTRAINT `recipe_ibfk_3` FOREIGN KEY (`privacity`) REFERENCES `privacity` (`type`);

--
-- Restriccions per a la taula `recipeprocedure`
--
ALTER TABLE `recipeprocedure`
  ADD CONSTRAINT `recipeprocedure_ibfk_1` FOREIGN KEY (`recipe`) REFERENCES `recipe` (`id`);

--
-- Restriccions per a la taula `reuse`
--
ALTER TABLE `reuse`
  ADD CONSTRAINT `reuse_ibfk_1` FOREIGN KEY (`recipe`) REFERENCES `recipe` (`id`),
  ADD CONSTRAINT `reuse_ibfk_2` FOREIGN KEY (`reused`) REFERENCES `recipe` (`id`);

--
-- Restriccions per a la taula `uses`
--
ALTER TABLE `uses`
  ADD CONSTRAINT `uses_ibfk_1` FOREIGN KEY (`recipe`) REFERENCES `recipe` (`id`),
  ADD CONSTRAINT `uses_ibfk_2` FOREIGN KEY (`ingredient`) REFERENCES `ingredient` (`id`),
  ADD CONSTRAINT `uses_ibfk_3` FOREIGN KEY (`measure`) REFERENCES `measure` (`id`);

--
-- Restriccions per a la taula `utilize`
--
ALTER TABLE `utilize`
  ADD CONSTRAINT `utilize_ibfk_1` FOREIGN KEY (`user`) REFERENCES `user` (`id`),
  ADD CONSTRAINT `utilize_ibfk_2` FOREIGN KEY (`menu`) REFERENCES `menu` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
