<?php

# Create connection
$link = mysqli_connect ('localhost','soniapf', 'VV0Zyqog', 'soniapf');

#('localhost', 'root', 'Cat1714', 'sp')

# Input values
$from = $_POST["from"];


switch ($from) {
	
	case "recipeInit":
			
			$dataIngredients = array();
			$dataMeasures = array();
			$dataCollections = array();
			$dataAuthor = array();
			
			$ingredientsQuery = "SELECT name FROM ingredient ORDER BY name ASC";
			if ($sql = mysqli_query($link, $ingredientsQuery)) {
				while ($ingredient = mysqli_fetch_assoc($sql)){
					array_push($dataIngredients, $ingredient['name']);
				}
			}

			$measuresQuery = "SELECT name FROM measure ORDER BY id ASC";
			if ($sql = mysqli_query($link, $measuresQuery)) {
				while ($measure = mysqli_fetch_assoc($sql)){
					array_push($dataMeasures, $measure['name']);
				}
			}

			$collectionsQuery = "SELECT name FROM collection ORDER BY id ASC";
			if ($sql = mysqli_query($link, $collectionsQuery)) {
				while ($collection = mysqli_fetch_assoc($sql)){
					array_push($dataCollections, $collection['name']);
				}
			}
			
			$authorQuery = "SELECT name FROM user ORDER BY id ASC";
			if ($sql = mysqli_query($link, $authorQuery)) {
				while ($author = mysqli_fetch_assoc($sql)){
					array_push($dataAuthor, $author['name']);
				}
			}	
				
			$arrayJoin = array();
			$arrayJoin[0] = $dataIngredients;
			$arrayJoin[1] = $dataMeasures;
			$arrayJoin[2] = $dataCollections;
			$arrayJoin[3] = $dataAuthor;
			
			$arrayRetun = array();
			$arrayRetun = json_encode($arrayJoin);
			
			echo $arrayRetun;
			
	break;
	
	case "searchRecipe":
	
			$dataResults = array();
			
			$author = $_POST["author"];
			$collection = $_POST["collection"];
			$portion = $_POST["portion"];
			$ingredient = $_POST["ingredient"];
			$privacity = 'PUBLICA';
			
			
			
			$where = "";
			
			if ($author) {
				#Get author id
				$authorIDQuery = "SELECT id FROM user WHERE name = '$author'";
				if ($sql = mysqli_query($link, $authorIDQuery)) {
					$authorID = mysqli_fetch_assoc($sql);
					$IDauthor = $authorID['id'];
				}
				$where.= "recipe.author = '$IDauthor' AND ";
			}
			
			if ($collection){
				#Get collection id
				$colIDQuery = "SELECT id FROM collection WHERE name = '$collection'";
				if ($sql = mysqli_query($link, $colIDQuery)) {
					$collectionID = mysqli_fetch_assoc($sql);
					$IDcollection = $collectionID['id'];
				}
				$where.= "recipe.collection = '$IDcollection' AND ";
			}
			
			if ($portion){
				$where.= "recipe.portions = '$portion' AND ";
			}
			
			if ($ingredient){
				#Get ingredient id
				$ingIDQuery = "SELECT id FROM ingredient WHERE name = '$ingredient'";
				if ($sql = mysqli_query($link, $ingIDQuery)) {
					$ingredientID = mysqli_fetch_assoc($sql);
					$IDingredient = $ingredientID['id'];
				}
				
			$searchQuery = "SELECT recipe.name, recipe.author, recipe.likes, recipe.value, recipe.portions, recipe.id, recipe.original
								FROM recipe, uses 
								WHERE uses.ingredient = '$IDingredient'
									AND uses.recipe = recipe.id
									AND ".substr($where, 0)."recipe.privacity = '$privacity'
									ORDER BY recipe.likes DESC";
				
			} else {
			
				$searchQuery = "SELECT recipe.name, recipe.author, recipe.likes, recipe.value, recipe.portions, recipe.id, recipe.original  
								FROM recipe
								WHERE ".substr($where, 0)."privacity = '$privacity' 
								ORDER BY recipe.likes DESC";
			}
			
			
			if ($sql = mysqli_query($link, $searchQuery)) {
				while ($result = mysqli_fetch_assoc($sql)){
					
					if ($author) { 
						$authorName = $author;
					} else { 
						$authorIdS = $result['author'];
						#Get author name
						$authorNameQuery = "SELECT name FROM user WHERE id = '$authorIdS'";
							if ($sqla = mysqli_query($link, $authorNameQuery)) {
								$authorN = mysqli_fetch_assoc($sqla);
								$authorName = $authorN['name'];
							}	
					}
					
					
					$recipeIdS = $result['id'];
					$imgQuery = "SELECT * FROM images WHERE recipe = '$recipeIdS'";
						if ($sqlb = mysqli_query($link, $imgQuery)) {
							$thumbnail = mysqli_fetch_assoc($sqlb);
							$thumb = $thumbnail['thumbnail'];
							$img = $thumbnail['img'];
						}

					$arrayRecipe = array();
					$arrayRecipe[0] = $result['name'];
					$arrayRecipe[1] = $authorName;
					$arrayRecipe[2] = $result['likes'];
					$arrayRecipe[3] = $result['value'];
					$arrayRecipe[4] = $result['portions'];
					$arrayRecipe[5] = $result['id'];
					$arrayRecipe[6] = $thumb;
					$arrayRecipe[7] = $img;
					
					$original =  $result['original'];
					
					$originalQuery = "SELECT name FROM recipe WHERE id = '$original'";
					$sqlO = mysqli_query($link, $originalQuery);
					$originalName = mysqli_fetch_assoc($sqlO);
					
					$arrayRecipe[8] = $originalName['name'];
					$arrayRecipe[9] = $original;
				
	
					array_push($dataResults,  $arrayRecipe);
				}
			}
				
			$arrayRetun = array();
			$arrayRetun = json_encode($dataResults);
			
			echo $arrayRetun;
	break;
	
	
	case "viewRecipe":
	
		$recipeID = $_POST["recipeID"];
		$userID =  $_POST["userID"];
		$likeStatus = false;
		$loveStatus = false;
		
		$recipe = array();
		$ingredients = array ();
		$procediment = array ();
		$reused = array ();
		$i = 0; 
		$j = 0;	
		$h = 0;	
		
		$ingredientsQuery = "SELECT * FROM uses WHERE recipe = '$recipeID'";
		if  ($sqlI = mysqli_query($link, $ingredientsQuery)) {
			while ($item = mysqli_fetch_assoc($sqlI)){				
				$ingID = $item['ingredient'];
				$measID = $item['measure'];
								
				$ingNameQuery = "SELECT name FROM ingredient WHERE id = '$ingID'";
					if ($sqlIid = mysqli_query($link, $ingNameQuery)) {
						$nameIng = mysqli_fetch_assoc($sqlIid);
						$ingName = $nameIng['name'];
					}	
								
				$measNameQuery = "SELECT name FROM measure WHERE id = '$measID'";
					if ($sqlMid = mysqli_query($link, $measNameQuery)) {
						$nameMeas = mysqli_fetch_assoc($sqlMid);
						$measName = $nameMeas['name'];
					}	
	
					$ingredients[$i][0] = $ingName;
					$ingredients[$i][1] = $item['quantity'];
					$ingredients[$i][2] = $measName;
					
					$i++;
			}
		}
		
		
		$procedimentQuery = "SELECT * FROM recipeprocedure WHERE recipe = '$recipeID' ORDER BY point ASC";	
		if  ($sqlP = mysqli_query($link, $procedimentQuery)) {
			while ($itemP = mysqli_fetch_assoc($sqlP)){	
			
				$procediment[$j][0] = $itemP['point'];
				$procediment[$j][1] = $itemP['textPoint'];
				$j++;	
			}
		}
		
		
		$likeStateQuery = "SELECT * FROM likerecipe WHERE user ='$userID' AND recipe = '$recipeID'";
		$sqlL = mysqli_query($link, $likeStateQuery);
		if ($returnL = mysqli_fetch_assoc($sqlL)){
			$likeStatus = true;
		}
		
		$loveStateQuery = "SELECT * FROM prefer WHERE user ='$userID' AND recipe = '$recipeID'";
		$sqlLv = mysqli_query($link, $loveStateQuery);
		if ($returnLv = mysqli_fetch_assoc($sqlLv)){
			$loveStatus = true;
		}
		
		$reusedQuery = "SELECT reused FROM reuse WHERE recipe = '$recipeID'";
		if  ($sqlRR = mysqli_query($link, $reusedQuery)) {
			while ($reusedItem = mysqli_fetch_assoc($sqlRR)){	
			$recipeRID = $reusedItem['reused'];
			
				$nameReusedQuery = "SELECT name, portions FROM recipe WHERE id = '$recipeRID'";
				if ($sqlRN = mysqli_query($link, $nameReusedQuery)) {
					$reusedName = mysqli_fetch_assoc($sqlRN);
					$recipeRName = $reusedName['name'];
					$recipeRPax = $reusedName['portions'];
				}
			
				$reused[$h][0] = $recipeRID;
				$reused[$h][1] = $recipeRName;
				$reused[$h][2] = $recipeRPax;
				$h++;
			}
		}
		
		array_push($recipe, $ingredients);
		array_push($recipe, $procediment);
		array_push($recipe, $likeStatus);
		array_push($recipe, $loveStatus);
		array_push($recipe, $reused);
		
		
		$myRecipeQuery = "SELECT *  FROM recipe  WHERE id = '$recipeID'";
			if  ($sqlR = mysqli_query($link, $myRecipeQuery)) {
				$recipeThis = mysqli_fetch_assoc($sqlR);
				
					$recipes = array();
					$recipes[0] = $recipeThis['name'];
					$recipes[1] = $recipeThis['author'];
					$recipes[2] = $recipeThis['likes'];
					$recipes[3] = $recipeThis['value'];
					$recipes[4] = $recipeThis['portions'];
					$recipes[5] = $recipeThis['id'];
					
					$recipeId= $recipeThis['id'];
					$imgQuery = "SELECT * FROM images WHERE recipe = '$recipeId'";
						if ($sqlbI = mysqli_query($link, $imgQuery)) {
							$images = mysqli_fetch_assoc($sqlbI);
							$thumb = $images['thumbnail'];
							$image = $images['img'];
						}
	
					$recipes[6] = $thumb;
					$recipes[7] = $image;
					$original =  $recipeThis['original'];
					
					$originalQuery = "SELECT name FROM recipe WHERE id = '$original'";
					$sqlO = mysqli_query($link, $originalQuery);
					$originalName = mysqli_fetch_assoc($sqlO);
					
					$recipes[8] = $originalName['name'];
					$recipes[9] = $original;
					
					$col = $recipeThis['collection'];
					$collQuery = "SELECT name FROM collection WHERE id = '$col'";
					$sqlc = mysqli_query($link, $collQuery);
					$collName = mysqli_fetch_assoc($sqlc);
					
					
					$recipes[10] = $collName['name'];
					$recipes[11] = $recipeThis['privacity'];
					
					
					array_push($recipe, $recipes);
			}
		

		$arrayRetun = array();
		$arrayRetun = json_encode($recipe);
			
		echo $arrayRetun;
		
	break;
	
	
	case "recipeBook":
	
		$collection = $_POST["collection"];
		$userID = $_POST["userID"];
		$privacity = 'PUBLICA';
		$i = 0;
		$dataResults = array();
		$collec = "";
		$priv = "";
		
		if ($collection == "MIS RECETAS"){
		
			$myRecipesQuery = "SELECT *  FROM recipe  WHERE author = '$userID' ORDER BY collection ASC";
			if  ($sqlMr = mysqli_query($link, $myRecipesQuery)) {
				while ($myRecipes = mysqli_fetch_assoc($sqlMr)){
				
					$recipe = array();
					$recipe[0] = $myRecipes['name'];
					$recipe[1] = $myRecipes['author'];
					$recipe[2] = $myRecipes['likes'];
					$recipe[3] = $myRecipes['value'];
					$recipe[4] = $myRecipes['portions'];
					$recipe[5] = $myRecipes['id'];
					
					$recipeId= $myRecipes['id'];
					$imgQuery = "SELECT * FROM images WHERE recipe = '$recipeId'";
						if ($sqlbI = mysqli_query($link, $imgQuery)) {
							$images = mysqli_fetch_assoc($sqlbI);
							$thumb = $images['thumbnail'];
							$image = $images['img'];
						}
	
					$recipes[6] = $thumb;
					$recipes[7] = $image;
					
					$original =  $myRecipes['original'];
					
					$originalQuery = "SELECT name FROM recipe WHERE id = '$original'";
					$sqlO = mysqli_query($link, $originalQuery);
					$originalName = mysqli_fetch_assoc($sqlO);
					
					$recipe[8] = $originalName['name'];
					$recipe[9] = $original;
				
					
					$dataResults[$i] = $recipe;
					$i++;
				}
			}
		
		} else if ($collection == "FAVORITAS"){
		
			$favoritasQuery = "SELECT r.name, r.author, r.likes, r.value, r.portions, r.id, r.original  FROM recipe AS r, prefer AS p  WHERE p.user = '$userID' AND p.recipe = r.id ORDER BY r.likes DESC";
			if  ($sqlPr = mysqli_query($link, $favoritasQuery)) {
				while ($recipesFav = mysqli_fetch_assoc($sqlPr)){
				
					$recipe = array();
					$recipe[0] = $recipesFav['name'];
					
					$authorID = $recipesFav['author'];
					$authorQuery = "SELECT name FROM user WHERE id = '$authorID'";
						if ($sqlbA = mysqli_query($link, $authorQuery)) {
							$author = mysqli_fetch_assoc($sqlbA);
							$authorName = $author['name'];
						}

					$recipe[1] = $authorName;
					$recipe[2] = $recipesFav['likes'];
					$recipe[3] = $recipesFav['value'];
					$recipe[4] = $recipesFav['portions'];
					$recipe[5] = $recipesFav['id'];
					
					$recipeId= $recipesFav['id'];
					$imgQuery = "SELECT * FROM images WHERE recipe = '$recipeId'";
						if ($sqlbTh = mysqli_query($link, $imgQuery)) {
							$thumbnail = mysqli_fetch_assoc($sqlbTh);
							$thumb = $thumbnail['thumbnail'];
							$image = $thumbnail['img'];
						}
					$recipe[6] = $thumb;
					$recipe[7] = $image;
					
					$original = $recipesFav['original'];
					
					$originalQuery = "SELECT name FROM recipe WHERE id = '$original'";
					$sqlO = mysqli_query($link, $originalQuery);
					$originalName = mysqli_fetch_assoc($sqlO);
					
					$recipe[8] = $originalName['name'];
					$recipe[9] = $original;
				
					
					$dataResults[$i] = $recipe;
					$i++;
				}
			}
		
		} else {
			
			$collectionIDQuery = "SELECT id FROM collection WHERE name = '$collection'";
			$sqlC = mysqli_query($link, $collectionIDQuery);
			$IDcollection = mysqli_fetch_assoc($sqlC);
			$collectionID = $IDcollection['id'];
			
			$recipesQuery = "SELECT * FROM recipe WHERE collection = '$collectionID' AND privacity = '$privacity' ORDER BY likes DESC";
			if  ($sqlRB = mysqli_query($link, $recipesQuery)) {
				while ($recipesCol = mysqli_fetch_assoc($sqlRB)){	
					
					$recipe = array();
					$recipe[0] = $recipesCol['name'];
					
					$authorID = $recipesCol['author'];
					$authorQuery = "SELECT name FROM user WHERE id = '$authorID'";
						if ($sqlbA = mysqli_query($link, $authorQuery)) {
							$author = mysqli_fetch_assoc($sqlbA);
							$authorName = $author['name'];
						}

					$recipe[1] = $authorName;
					$recipe[2] = $recipesCol['likes'];
					$recipe[3] = $recipesCol['value'];
					$recipe[4] = $recipesCol['portions'];
					$recipe[5] = $recipesCol['id'];
					
					
					$recipeId= $recipesCol['id'];
					$imgQuery = "SELECT * FROM images WHERE recipe = '$recipeId'";
						if ($sqlbTh = mysqli_query($link, $imgQuery)) {
							$thumbnail = mysqli_fetch_assoc($sqlbTh);
							$thumb = $thumbnail['thumbnail'];
							$image = $thumbnail['img'];
						}
					$recipe[6] = $thumb;
					$recipe[7] = $image;
					
					$original = $recipesCol['original'];
					
					$originalQuery = "SELECT name FROM recipe WHERE id = '$original'";
					$sqlO = mysqli_query($link, $originalQuery);
					$originalName = mysqli_fetch_assoc($sqlO);
					
					$recipe[8] = $originalName['name'];
					$recipe[9] = $original;
				
					
					$dataResults[$i] = $recipe;
					$i++;
				}	
			}
		}
		
		$arrayRetun = array();
		$arrayRetun = json_encode($dataResults);
				
		echo $arrayRetun;
			 
	break;
	
}
									
mysqli_close($link);
?>



